Package org.apache.batchee.container.services.persistence.jdbc

## Class Dictionary

- java.lang.Object
- - org.apache.batchee.container.services.persistence.jdbc.Dictionary

-     public class Dictionary
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `Dictionary.SQL` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Dictionary​(String checkpointTable, String jobInstanceTable, String jobExecutionTable, String stepExecutionTable, Database database)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `checkpointColumn​(int idx)` |
    `String` | `getCheckpointTable()` |
    `String` | `getCountJobInstanceByName()` |
    `String` | `getCreateCheckpointTable()` |
    `String` | `getCreateJobExecution()` |
    `String` | `getCreateJobExecutionTable()` |
    `String` | `getCreateJobInstance()` |
    `String` | `getCreateJobInstanceTable()` |
    `String` | `getCreateJobInstanceWithJobXml()` |
    `String` | `getCreateStepExecution()` |
    `String` | `getCreateStepExecutionTable()` |
    `String` | `getDeleteCheckpoint()` |
    `String` | `getDeleteCheckpointUntil()` |
    `String` | `getDeleteJobExecution()` |
    `String` | `getDeleteJobExecutionUntil()` |
    `String` | `getDeleteJobInstance()` |
    `String` | `getDeleteJobInstanceUntil()` |
    `String` | `getDeleteStepExecution()` |
    `String` | `getDeleteStepExecutionUntil()` |
    `String` | `getFindExternalJobInstances()` |
    `String` | `getFindJobExecutionBatchStatus()` |
    `String` | `getFindJobExecutionById()` |
    `String` | `getFindJobExecutionByInstance()` |
    `String` | `getFindJobExecutionExitStatus()` |
    `String` | `getFindJobExecutionJobProperties()` |
    `String` | `getFindJobExecutionTimestamps()` |
    `String` | `getFindJobInstance()` |
    `String` | `getFindJobInstanceFromJobExecution()` |
    `String` | `getFindJoBInstanceIds()` |
    `String` | `getFindJobInstanceIdsByName()` |
    `String` | `getFindJobNames()` |
    `String` | `getFindJobStatus()` |
    `String` | `getFindMostRecentJobExecution()` |
    `String` | `getFindRunningJobExecutions()` |
    `String` | `getFindStepExecutionByJobInstanceAndStepName()` |
    `String` | `getFindStepExecutionFromId()` |
    `String` | `getFinStepExecutionFromJobExecution()` |
    `String` | `getInsertCheckpoint()` |
    `String` | `getJobExecutionTable()` |
    `String` | `getJobInstanceTable()` |
    `String` | `getSelectCheckpoint()` |
    `String` | `getSetJobExecutionFinalData()` |
    `String` | `getStepExecutionTable()` |
    `String` | `getUpdateCheckpoint()` |
    `String` | `getUpdateJobExecution()` |
    `String` | `getUpdateJobInstanceStatus()` |
    `String` | `getUpdateStartedJobExecution()` |
    `String` | `getUpdateStepExecution()` |
    `String` | `getUpdateStepExecutionStatus()` |
    `String` | `jobExecutionColumns​(int idx)` |
    `String` | `jobInstanceColumns​(int idx)` |
    `String` | `stepExecutionColumns​(int idx)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Dictionary

          public Dictionary​(String checkpointTable,
                            String jobInstanceTable,
                            String jobExecutionTable,
                            String stepExecutionTable,
                            Database database)

  - ### Method Detail

    - #### getCheckpointTable

          public String getCheckpointTable()

    - #### getCreateCheckpointTable

          public String getCreateCheckpointTable()

    - #### getInsertCheckpoint

          public String getInsertCheckpoint()

    - #### getSelectCheckpoint

          public String getSelectCheckpoint()

    - #### getUpdateCheckpoint

          public String getUpdateCheckpoint()

    - #### getDeleteCheckpoint

          public String getDeleteCheckpoint()

    - #### getJobInstanceTable

          public String getJobInstanceTable()

    - #### getCreateJobInstanceTable

          public String getCreateJobInstanceTable()

    - #### getCountJobInstanceByName

          public String getCountJobInstanceByName()

    - #### getFindJobInstance

          public String getFindJobInstance()

    - #### getUpdateJobInstanceStatus

          public String getUpdateJobInstanceStatus()

    - #### getFindJoBInstanceIds

          public String getFindJoBInstanceIds()

    - #### getFindJobInstanceIdsByName

          public String getFindJobInstanceIdsByName()

    - #### getFindExternalJobInstances

          public String getFindExternalJobInstances()

    - #### getFindJobNames

          public String getFindJobNames()

    - #### getCreateJobInstance

          public String getCreateJobInstance()

    - #### getCreateJobInstanceWithJobXml

          public String getCreateJobInstanceWithJobXml()

    - #### getDeleteJobInstance

          public String getDeleteJobInstance()

    - #### getJobExecutionTable

          public String getJobExecutionTable()

    - #### getCreateJobExecutionTable

          public String getCreateJobExecutionTable()

    - #### getFindJobExecutionTimestamps

          public String getFindJobExecutionTimestamps()

    - #### getFindJobExecutionBatchStatus

          public String getFindJobExecutionBatchStatus()

    - #### getFindJobExecutionExitStatus

          public String getFindJobExecutionExitStatus()

    - #### getFindJobExecutionJobProperties

          public String getFindJobExecutionJobProperties()

    - #### getUpdateJobExecution

          public String getUpdateJobExecution()

    - #### getSetJobExecutionFinalData

          public String getSetJobExecutionFinalData()

    - #### getUpdateStartedJobExecution

          public String getUpdateStartedJobExecution()

    - #### getFindJobExecutionById

          public String getFindJobExecutionById()

    - #### getFindJobExecutionByInstance

          public String getFindJobExecutionByInstance()

    - #### getFindRunningJobExecutions

          public String getFindRunningJobExecutions()

    - #### getFindJobStatus

          public String getFindJobStatus()

    - #### getFindJobInstanceFromJobExecution

          public String getFindJobInstanceFromJobExecution()

    - #### getCreateJobExecution

          public String getCreateJobExecution()

    - #### getFindMostRecentJobExecution

          public String getFindMostRecentJobExecution()

    - #### getDeleteJobExecution

          public String getDeleteJobExecution()

    - #### getStepExecutionTable

          public String getStepExecutionTable()

    - #### getCreateStepExecutionTable

          public String getCreateStepExecutionTable()

    - #### getFinStepExecutionFromJobExecution

          public String getFinStepExecutionFromJobExecution()

    - #### getFindStepExecutionFromId

          public String getFindStepExecutionFromId()

    - #### getCreateStepExecution

          public String getCreateStepExecution()

    - #### getUpdateStepExecutionStatus

          public String getUpdateStepExecutionStatus()

    - #### getUpdateStepExecution

          public String getUpdateStepExecution()

    - #### getFindStepExecutionByJobInstanceAndStepName

          public String getFindStepExecutionByJobInstanceAndStepName()

    - #### getDeleteStepExecution

          public String getDeleteStepExecution()

    - #### checkpointColumn

          public String checkpointColumn​(int idx)

    - #### jobInstanceColumns

          public String jobInstanceColumns​(int idx)

    - #### jobExecutionColumns

          public String jobExecutionColumns​(int idx)

    - #### stepExecutionColumns

          public String stepExecutionColumns​(int idx)

    - #### getDeleteCheckpointUntil

          public String getDeleteCheckpointUntil()

    - #### getDeleteJobInstanceUntil

          public String getDeleteJobInstanceUntil()

    - #### getDeleteJobExecutionUntil

          public String getDeleteJobExecutionUntil()

    - #### getDeleteStepExecutionUntil

          public String getDeleteStepExecutionUntil()